Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Sun, 17 Jul 2022 15:37:08 +0000

>
> I still see a segfault in get_visually_first_element.  To reproduce:
>
> emacs -Q
> C-x C-f long-line.xml
> C-u 12 M-g g
> C-s C-q C-j
>
> IOW, go to line 12 and search for a newline.  I think this segfaults 
> because point is very far from window-start, so the narrowing doesn't 
> include the position where get_visually_first_element is called.
>
> Similarly, this also segfaults:
>
> emacs -Q
> C-x C-f long-line.xml
> C-u 15000 M-g c
> C-x 2
>

Thanks.  I can't reproduce either of these two bugs with a regular build, 
both of these recipes produce the expected result.  Are these segfaults 
due to --enable-checking?